local LianyuLogic = require("lianyu.LianyuLogic")

function CG_LIANYU_QUERY(human)
	LianyuLogic.sendQuery(human)
end

function CG_LIANYU_FIRST_REWARD_QUERY(human)
	LianyuLogic.sendFirstRewardQuery(human)
end

function CG_LIANYU_FIRST_REWARD_GET(human, msg)
	LianyuLogic.getFirstReward(human, msg.needLv, msg.getway)
end

function CG_LIANYU_DAILY_REWARD_QUERY(human)
	LianyuLogic.sendDailyRewardQuery(human)
end

function CG_LIANYU_BOARD_REWARD_QUERY(human)
	LianyuLogic.sendBoardRewardQuery(human)
end

function CG_LIANYU_HELP_FRIEND_QUERY(human)
	LianyuLogic.sendHelpFriendQuery(human)
end

function CG_LIANYU_HELP_FRIEND_SELECT(human, msg)
	LianyuLogic.selectHelpFriend(human, msg.selectUuid)
end

function CG_LIANYU_HELP_MY_QUERY(human)
	LianyuLogic.sendHelpMyQuery(human)
end

function CG_LIANYU_HELP_MY_SELECT(human, msg)
	LianyuLogic.selectMyHelp(human, msg.heroIndex)
end

function CG_LIANYU_SET_HELP_COMBATPOS(human, msg)
	LianyuLogic.setHelpCombatPos(human, msg.pos)
end

function CG_LIANYU_BUFFER_SELECT(human, msg)
	LianyuLogic.selectBuffer(human, msg.bufferIndex)
end

function CG_LIANYU_FIGHT_FINISH(human)
	LianyuLogic.finishFight(human)
end